Index: /orxonox/branches/movie_player/src/lib/gui/gui/rc
===================================================================
--- /orxonox/branches/movie_player/src/lib/gui/gui/rc	(revision 4216)
+++ /orxonox/branches/movie_player/src/lib/gui/gui/rc	(revision 4217)
@@ -1,139 +1,139 @@
-# pixmap_path "<dir 1>:<dir 2>:<dir 3>:..."
-#
-pixmap_path "/usr/include/X11R6/pixmaps:/home/imain/pixmaps"
-#
-# style <name> [= <name>]
-# {
-#   <option>
-# }
-#
-# widget <widget_set> style <style_name>
-# widget_class <widget_class_set> style <style_name>
-
-# Here is a list of all the possible states.  Note that some do not apply to
-# certain widgets.
-#
-# NORMAL - The normal state of a widget, without the mouse over top of
-# it, and not being pressed, etc.
-#
-# PRELIGHT - When the mouse is over top of the widget, colors defined
-# using this state will be in effect.
-#
-# ACTIVE - When the widget is pressed or clicked it will be active, and
-# the attributes assigned by this tag will be in effect.
-#
-# INSENSITIVE - When a widget is set insensitive, and cannot be
-# activated, it will take these attributes.
-#
-# SELECTED - When an object is selected, it takes these attributes.
-#
-# Given these states, we can set the attributes of the widgets in each of
-# these states using the following directives.
-#
-# fg - Sets the foreground color of a widget.
-# bg - Sets the background color of a widget.
-# bg_pixmap - Sets the background of a widget to a tiled pixmap.
-# font - Sets the font to be used with the given widget.
-#
-
-# This sets a style called "button".  The name is not really important, as
-# it is assigned to the actual widgets at the bottom of the file.
-
-style "window"
-{
-  #This sets the padding around the window to the pixmap specified.
-  #bg_pixmap[<STATE>] = "<pixmap filename>"
-  #bg_pixmap[NORMAL] = "warning.xpm"
-  bg[NORMAL] = { 0, 0, 0 }
-  fg[NORMAL] = { 0, 1.0, 0 }
-  base[NORMAL] = { 0, 0, 0 }
-  base[INSENSITIVE] = { 0, 0, 0 }
-}
-
-style "scale"
-{
-  #Sets the foreground color (font color) to red when in the "NORMAL"
-  #state.
-  
-  fg[NORMAL] = { 0, 1.0, 0 }
-  bg[NORMAL] = { 0, 1.0, 0 }
-  bg[INSENSITIVE] = { 0, 1.0, 0 }
-  bg[PRELIGHT] = { 0, 1.0, 0 }
-  bg[ACTIVE] =   {0.2, 0.2, 0.2 }
-  
-  #Sets the background pixmap of this widget to that of its parent.
-  bg_pixmap[NORMAL] = "<parent>"
-}
-
-style "button"
-{
-  # This shows all the possible states for a button.  The only one that
-  # doesn't apply is the SELECTED state.
-  
-  fg[PRELIGHT] = { 0, 0, 0 }
-  bg[PRELIGHT] = { 0, 1.0, 0 }
-  bg[ACTIVE] = { 0, 1.0, 0 }
-  fg[ACTIVE] = { 0, 1.0, 0 }
-  bg[NORMAL] = { 0, 0, 0 }
-  fg[NORMAL] = { 0, 1.0, 0 }
-  bg[INSENSITIVE] = { 1.0, 0, 1.0 }
-  fg[INSENSITIVE] = { 1.0, 0, 1.0 }
-  base[NORMAL] = { 0, 1.0, 0 }
-  base[PRELIGHT] = { 0, 1.0, 0 }
-}
-
-# In this example, we inherit the attributes of the "button" style and then
-# override the font and background color when prelit to create a new
-# "main_button" style.
-
-style "main_button" = "button"
-{
-  font = "-adobe-helvetica-medium-r-normal--*-100-*-*-*-*-*-*"
-  bg[PRELIGHT] = { 0, 0.75, 0 }
-}
-
-style "toggle_button" = "button"
-{
-  fg[NORMAL] = { 0, 1.0, 0 }
-  fg[ACTIVE] = { 0, 1.0, 0 }
-  text[NORMAL] = { 0, 0, 0}
-  # This sets the background pixmap of the toggle_button to that of its
-  # parent widget (as defined in the application).
-  #bg_pixmap[NORMAL] = "<parent>"
-}
-
-style "text"
-{
-  #bg_pixmap[NORMAL] = "marble.xpm"
-  fg[NORMAL] = { 0, 1.0, 0 }
-}
-
-style "ruler"
-{
-  font = "-adobe-helvetica-medium-r-normal--*-20-*-*-*-*-*-*"
-}
-
-# pixmap_path "~/.pixmaps"
-
-# These set the widget types to use the styles defined above.
-# The widget types are listed in the class hierarchy, but could probably be
-# just listed in this document for the users reference.
-
-widget_class "GtkWindow"           style "window"
-widget_class "GtkFrame"            style "window"
-widget_class "Gtk*EventBox"        style "window"
-widget_class "GtkDialog"           style "window"
-widget_class "GtkFileSelection"    style "window"
-widget_class "*Gtk*Scale"          style "scale"
-widget_class "*GtkCheckButton*"    style "toggle_button"
-widget_class "*Gtk*Menu*"          style "toggle_button"
-widget_class "*GtkRadioButton*"    style "toggle_button"
-widget_class "*GtkButton*"         style "button"
-widget_class "*Ruler"              style "ruler"
-widget_class "*GtkText"            style "text"
-widget_class "*GtkLabel"           style "text"
+/*
+ * style <name> [= <name>]
+ * {
+ *   <option>
+ * }
+ *
+ * widget <widget_set> style <style_name>
+ * widget_class <widget_class_set> style <style_name>
+ *
+ * Here is a list of all the possible states.  Note that some do not apply to
+ * certain widgets.
+ *
+ * NORMAL - The normal state of a widget, without the mouse over top of
+ * it, and not being pressed, etc.
+ *
+ * PRELIGHT - When the mouse is over top of the widget, colors defined
+ * using this state will be in effect.
+ *
+ * ACTIVE - When the widget is pressed or clicked it will be active, and
+ * the attributes assigned by this tag will be in effect.
+ *
+ * INSENSITIVE - When a widget is set insensitive, and cannot be
+ * activated, it will take these attributes.
+ *
+ * SELECTED - When an object is selected, it takes these attributes.
+ *
+ * Given these states, we can set the attributes of the widgets in each of
+ * these states using the following directives.
+ *
+ * fg - Sets the foreground color of a widget.
+ * bg - Sets the background color of a widget.
+ * bg_pixmap - Sets the background of a widget to a tiled pixmap.
+ * base - Sets the base of Widgets
+ * font - Sets the font to be used with the given widget.
+*/
 
 
-# This sets all the buttons that are children of the "main window" to
-# the main_button style.  These must be documented to be taken advantage of.
-widget "main window.*GtkButton*" style "main_button"
+
+static const gchar* rc_string =
+(
+"style'orxonox'"
+"{"
+"fg[NORMAL]      = { 0.0, 1.0, 0.0 }"
+"fg[PRELIGHT]    = { 0.0, 1.0, 0.0 }"
+"fg[ACTIVE]      = { 0.0, 1.0, 0.0 }"
+"fg[INSENSITIVE] = { 0.0, 0.8, 0.0 }"
+"fg[SELECTED]    = { 0.0, 1.0, 0.0 }"
+
+"bg[NORMAL]      = { 0.0, 0.0, 0.0 }"
+"bg[PRELIGHT]    = { 0.0, 1.0, 0.0 }"
+"bg[ACTIVE]      = { 0.0, 0.3, 0.0 }"
+"bg[INSENSITIVE] = { 0.0, 0.1, 0.0 }"
+"bg[SELECTED]    = { 0.0, 0.1, 0.0 }"
+
+"base[NORMAL]      = { 0.0, 1.0, 0.0 }"
+"base[PRELIGHT]    = { 0.0, 1.0, 0.0 }"
+"base[ACTIVE]      = { 0.0, 1.0, 0.0 }"
+"base[INSENSITIVE] = { 0.0, 1.0, 0.0 }"
+"base[SELECTED]    = { 0.0, 1.0, 0.0 }"
+
+"font              = '-adobe-helvetica-medium-r-normal--*-100-*-*-*-*-*-*'"
+"}"
+
+"style'window'"
+"{"			
+"bg[NORMAL] = { 0, 0, 0 }"
+"fg[NORMAL] = { 0, 1.0, 0 }"
+"base[NORMAL] = { 0, 0, 0 }"
+"base[INSENSITIVE] = { 0, 0, 0 }"
+"}"
+
+"style'frame'"
+"{"
+"bg[NORMAL]  = { 0.0, 0.4, 0.0 }"
+"}"
+
+"style'scale'"
+"{"
+"fg[NORMAL] = { 0, 1.0, 0 }"
+"bg[NORMAL] = { 0, 1.0, 0 }"
+"bg[INSENSITIVE] = { 0, 1.0, 0 }"
+"bg[PRELIGHT] = { 0, 1.0, 0 }"
+"bg[ACTIVE] =   {0.2, 0.2, 0.2 }"
+"}"
+
+"style'button'"
+"{"
+"fg[PRELIGHT] = { 0, 0, 0 }"
+"bg[PRELIGHT] = { 0, 1.0, 0 }"
+"bg[ACTIVE] = { 0, 1.0, 0 }"
+"fg[ACTIVE] = { 0, 1.0, 0 }"
+"bg[NORMAL] = { 0, 0, 0 }"
+"fg[NORMAL] = { 0, 1.0, 0 }"
+"bg[INSENSITIVE] = { 0.0, 0.2, 0.0 }"
+"fg[INSENSITIVE] = { 0.0, 0.8, 0.0 }"
+"base[NORMAL] = { 0, 1.0, 0 }"
+"base[PRELIGHT] = { 0, 1.0, 0 }"
+"}"
+
+"style'main_button' = 'button'"
+"{"
+"font = '-adobe-helvetica-medium-r-normal--*-100-*-*-*-*-*-*'"
+"bg[PRELIGHT] = { 0, 0.75, 0 }"
+"}"
+
+"style'toggle_button' = 'button'"
+"{"
+"fg[NORMAL] = { 0, 1.0, 0 }"
+"fg[ACTIVE] = { 0, 1.0, 0 }"
+"text[NORMAL] = { 0, 0, 0}"
+"}"
+
+"style'text'"
+"{"
+"fg[NORMAL] = { 0, 1.0, 0 }"
+"}"
+
+"style'ruler'"
+"{"
+"font = '-adobe-helvetica-medium-r-normal--*-20-*-*-*-*-*-*'"
+"}"
+
+"widget'Gtk*'			style'orxonox'"
+"widget'*Gtk*Frame*'              style'frame'"
+"widget'GtkWindow'		style'window'"
+"widget'GtkFileSelection'	style'window'"
+"widget'*Gtk*Scale'		style'scale'"
+"widget'*GtkCheckButton*'	style'toggle_button'"
+"widget'*Gtk*Menu*'		style'toggle_button'"
+"widget'*GtkRadioButton*'	style'toggle_button'"
+"widget'*GtkButton*'		style'button'"
+"widget'*Ruler'			style'ruler'"
+"widget'*GtkText'		style'text'"
+"widget'*GtkLabel'		style'text'"
+
+"widget'main window.*GtkButton*' style 'main_button'"
+
+
+);
Index: /orxonox/branches/movie_player/src/lib/util/ini_parser.cc
===================================================================
--- /orxonox/branches/movie_player/src/lib/util/ini_parser.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/lib/util/ini_parser.cc	(revision 4217)
@@ -16,20 +16,21 @@
 
 #include "ini_parser.h"
+#include "resource_manager.h"
 
 using namespace std;
 
 /**
-	\brief constructs an IniParser using a file
-	\param filename: the path and name of the file to parse
+   \brief constructs an IniParser using a file
+   \param filename: the path and name of the file to parse
 */
-IniParser::IniParser (char* filename)
+IniParser::IniParser (const char* filename)
 {
   stream = NULL;
   bInSection = false;
-  openFile(filename);
+  this->openFile(filename);
 }
 
 /**
-	\brief removes the IniParser from memory
+   \brief removes the IniParser from memory
 */
 IniParser::~IniParser ()
@@ -43,14 +44,17 @@
    \return zero on success or -1 if an error occured;
 */
-int IniParser::openFile( char* filename)
+int IniParser::openFile(const char* filename)
 {
+  char* tmpName = ResourceManager::homeDirCheck(filename);
   if( filename == NULL) return -1;
   if( stream != NULL)	fclose (stream);
-  if( (stream = fopen (filename, "r")) == NULL)
+  if( (stream = fopen (tmpName, "r")) == NULL)
     {
-      printf("IniParser could not open %s\n", filename);
+      PRINTF(1)("IniParser could not open %s\n", filename);
+      delete tmpName;
       return -1;
     }
   bInSection = false;
+  delete tmpName;
   return 0;
 }
@@ -123,11 +127,16 @@
 	  return -1;
 	}
-      if( (ptr = strchr( linebuffer, '=')) != NULL)
+      sscanf(linebuffer, "%s = %s", name, value);
+      return 0;
+      /*
+	if( (ptr = strchr( tmpBuffer, '=')) != NULL)
 	{
-	  if( ptr == linebuffer) continue;
-	  strcpy (value, &ptr[1]);
-	  strncpy (name, linebuffer, strlen (linebuffer) - strlen (value) - 1);
-	  return 0;
+	if( ptr == linebuffer) continue;
+	strcpy (value, &ptr[1]);
+	strncpy (name, linebuffer, strlen (linebuffer) - strlen (value) - 1);
+	printf ("%s, %s\n", value, name);
+	return 0;
 	}
+      */
     }
   return -1;	
@@ -144,5 +153,5 @@
    lead to unwanted behaviour.
 */
-char* IniParser::getVar( char* name, char* section, char* defvalue = "")
+char* IniParser::getVar(const char* name, char* section, char* defvalue = "")
 {
   strcpy (internbuf, defvalue);
Index: /orxonox/branches/movie_player/src/lib/util/ini_parser.h
===================================================================
--- /orxonox/branches/movie_player/src/lib/util/ini_parser.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/lib/util/ini_parser.h	(revision 4217)
@@ -26,9 +26,9 @@
 	
  public:
-  IniParser (char* filename);
+  IniParser (const char* filename);
   ~IniParser ();
   
-  char* getVar( char* name, char* section, char* defvalue);
-	int openFile( char* name);
+  char* getVar(const char* name, char* section, char* defvalue);
+  int openFile(const char* name);
   int getSection( char* section);
   int nextVar( char* name, char* value);
Index: /orxonox/branches/movie_player/src/orxonox.cc
===================================================================
--- /orxonox/branches/movie_player/src/orxonox.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/orxonox.cc	(revision 4217)
@@ -22,12 +22,15 @@
    main-programmer: Patrick Boenzli
    co-programmer: Christian Meyer
-   co-programmer: Benjamin Grauer: injected ResourceManager/GraphicsEngine
+   co-programmer: Benjamin Grauer: injected ResourceManager/GraphicsEngine/GUI
 */
 
 #include "orxonox.h"
+
+#include "gui.h"
 
 #include "world.h"
 #include "data_tank.h"
 #include "command_node.h"
+#include "ini_parser.h"
 #include "game_loader.h"
 #include "graphics_engine.h"
@@ -35,6 +38,8 @@
 #include "text_engine.h"
 #include "factory.h"
+#include "benchmark.h"
 
 #include <string.h>
+
 int verbose = 4;
 
@@ -43,8 +48,17 @@
 /**
    \brief create a new Orxonox
+
+   In this funcitons only global values are set. The game will not be started here.
 */
 Orxonox::Orxonox ()
 {
-  pause = false;
+  this->pause = false;
+
+  this->world = NULL;
+  this->resources = NULL;
+  this->localinput = NULL;
+
+  this->argc = 0;
+  this->argv = NULL;
 }
 
@@ -54,7 +68,8 @@
 Orxonox::~Orxonox () 
 {
+  int i =0;
   Orxonox::singletonRef = NULL;
   if( world != NULL) delete world;
-  if( localinput != NULL) delete world;
+  if( localinput != NULL) delete localinput;
   if( resources != NULL) delete resources;
   delete GraphicsEngine::getInstance(); // deleting the Graphics
@@ -85,5 +100,5 @@
 void Orxonox::getConfigFile (int argc, char** argv)
 {
-  strcpy (configfilename, "orxonox.conf");
+  strcpy (configfilename, "~/.orxonox/orxonox.conf");
 }
 
@@ -93,4 +108,6 @@
 int Orxonox::init (int argc, char** argv)
 {
+  this->argc = argc;
+  this->argv = argv;
   // parse command line
   // config file
@@ -99,4 +116,7 @@
   SDL_Init (SDL_INIT_TIMER);
   // initialize everything
+  printf("> Initializing resources\n");
+  if( initResources () == -1) return -1;
+
   if( initVideo() == -1) return -1;
   if( initSound() == -1) return -1;
@@ -105,6 +125,4 @@
   printf("> Initializing networking\n");
   if( initNetworking () == -1) return -1;
-  printf("> Initializing resources\n");
-  if( initResources () == -1) return -1;
   //printf("> Initializing world\n");
   //if( init_world () == -1) return -1; PB: world will be initialized when started
@@ -121,5 +139,5 @@
   
   GraphicsEngine::getInstance();
-  
+    
   return 0;
 }
@@ -144,5 +162,5 @@
 {
   // create localinput
-  localinput = new CommandNode( configfilename);
+  localinput = new CommandNode(configfilename);
   
   return 0;
@@ -165,11 +183,50 @@
 int Orxonox::initResources() 
 {
-  //  printf("Not yet implemented\n");
   PRINT(3)("initializing ResourceManager\n");
   resourceManager = ResourceManager::getInstance();
-  !resourceManager->setDataDir("../data/");
+
+  // create parser
+  IniParser parser (DEFAULT_CONFIG_FILE);
+  if( parser.getSection (CONFIG_SECTION_DATA) == -1)
+    {
+      PRINTF(1)("Could not find Section %s in %s\n", CONFIG_SECTION_DATA, DEFAULT_CONFIG_FILE);
+      return -1;
+    }
+  char namebuf[256];
+  char valuebuf[256];
+  memset (namebuf, 0, 256);
+  memset (valuebuf, 0, 256);
+  
+  while( parser.nextVar (namebuf, valuebuf) != -1)
+    {
+      if (!strcmp(namebuf, CONFIG_NAME_DATADIR))
+	{
+	  //  printf("Not yet implemented\n");
+	  if (!resourceManager->setDataDir(valuebuf))
+	    {
+	      PRINTF(1)("Data Could not be located\n");
+	      exit(-1);
+	    }
+	}
+      
+      memset (namebuf, 0, 256);
+      memset (valuebuf, 0, 256);
+    }
+  
+  if (!resourceManager->checkDataDir(DEFAULT_DATA_DIR_CHECKFILE))
+    {
+      PRINTF(1)("The DataDirectory %s could not be verified\nPlease Change in File %s Section %s Entry %s to a suitable value\n",
+		resourceManager->getDataDir(),
+		DEFAULT_CONFIG_FILE,
+		CONFIG_SECTION_DATA,
+		CONFIG_NAME_DATADIR);
+      exit(-1);
+    }
+
 
   PRINT(3)("initializing TextEngine\n");
   TextEngine::getInstance();
+
+  return 0;
 }
 
@@ -201,5 +258,5 @@
   
   this->gameLoader = GameLoader::getInstance();
-  this->gameLoader->loadCampaign("../data/worlds/DefaultCampaign.oxc");
+  this->gameLoader->loadCampaign("worlds/DefaultCampaign.oxc");
   //  this->gameLoader->loadDebugCampaign(DEBUG_CAMPAIGN_0);
   this->gameLoader->init();
@@ -281,4 +338,5 @@
 
 
+bool showGui = false;
 
 /**
@@ -288,25 +346,16 @@
 */
 int main(int argc, char** argv) 
-{  
-  
-  /* reading arguments 
-     
-     currently supported arguments are:
-     <no args>                   ::    just starts orxonox
-     --benchmark                 ::    start the benchmark without starting orxonox
-     
-     this is a preselection: it matches to one of the start* functions, the
-     finetuning is made in those functions.
-  */
-
-
+{ 
+
+  // here the pre-arguments are loaded, these are needed to go either to orxonx itself, Help, or Benchmark.
   int i;
-  for(i = 0; i < argc; ++i)
-    {
-      if(! strcmp( "--help", argv[i])) return startHelp();
-      else if(! strcmp( "--benchmark", argv[i])) return startBenchmarks();
-    }
-
-  PRINTF(2)("Orxonox does not understand the arguments");
+  for(i = 1; i < argc; ++i)
+    {
+      if(! strcmp( "--help", argv[i]) || !strcmp("-h", argv[i])) return startHelp(argc, argv);
+      else if(!strcmp( "--benchmark", argv[i]) || !strcmp("-b", argv[i])) return startBenchmarks();
+      else if(!strcmp( "--gui", argv[i]) || !strcmp("-g", argv[i])) showGui = true;
+      //      else PRINTF(2)("Orxonox does not understand the arguments %s\n", argv[i]);
+    }
+
   return startOrxonox(argc, argv);
 }
@@ -314,11 +363,16 @@
 
 
-int startHelp()
-{
-  printf("orxonox: starts the orxonox game - rules\n");
-  printf("usage: orxonox [arg]\n\n");
-  printf("valid options:\n");
-  printf(" --benchmark\tstarts the orxonox benchmark\n");
-  printf(" --help \tshows this menu\n");
+int startHelp(int argc, char** argv)
+{
+  PRINT(0)("orxonox: starts the orxonox game - rules\n");
+  PRINT(0)("usage: orxonox [arg [arg...]]\n\n");
+  PRINT(0)("valid options:\n");
+  {
+    Gui* gui = new Gui(argc, argv);
+    gui->printHelp();
+    delete gui;
+  }
+  PRINT(0)(" -b|--benchmark:\t\tstarts the orxonox benchmark\n");
+  PRINT(0)(" -h|--help:\t\t\tshows this help\n");
 }
 
@@ -326,10 +380,31 @@
 int startOrxonox(int argc, char** argv)
 {
-  printf(">>> Starting Orxonox <<<\n");
+  // checking for existence of the configuration-files
+  if (showGui ||
+      !ResourceManager::isFile("~/.orxonox/orxonox.conf") ||
+      ResourceManager::isFile("~/.orxonox/orxonox.lock"))
+    {
+      if (ResourceManager::isFile("~/.orxonox/orxonox.lock"))
+	ResourceManager::deleteFile("~/.orxonox/orxonox.lock");
+      
+      // starting the GUI
+      Gui* gui = new Gui(argc, argv);
+      gui->startGui();
+
+      if (! gui->startOrxonox)
+	return 0;
+      
+      delete gui;
+    }
+  
+  PRINT(0)(">>> Starting Orxonox <<<\n");
+
+  ResourceManager::touchFile("~/.orxonox/orxonox.lock");
+
   Orxonox *orx = Orxonox::getInstance();
   
   if((*orx).init(argc, argv) == -1)
     {
-      printf("! Orxonox initialization failed\n");
+      PRINTF(1)("! Orxonox initialization failed\n");
       return -1;
     }
@@ -338,448 +413,5 @@
   
   delete orx;
-  
-}
-
-#if defined __linux__ 
-
-#include "list.h"
-#include "world_entity.h"
-#include "vector.h"
-#include "player.h"
-#include "base_object.h"
-
-#include <asm/msr.h>
-#include <linux/timex.h>
-
-
-#define LIST_MAX 1000
-#define VECTOR_MAX 1000000
-#define ITERATIONS 10000
-
-
-int startBenchmarks()
-{
-
-  printf("===========================================================\n");
-  printf("=                      BENCHMARKS                         =\n");
-  printf("===========================================================\n");
-  printf(" the author is not paying any attention to cacheing effects\n");
-  printf(" of the CPU.\n\n");
-  printf("[title]\t\t\t\t\t     [cycles]\t[loops]\n\n");
-  //  printf("------------------------------------------------------------\n\n");
-
-  // first measure the time overhead:
-  unsigned long ini, end, dt, tmp;
-  rdtscl(ini); rdtscl(end);
-  dt = end - ini;
-
-  int type = -1; 
-  /* type   -1 == all 
-     type    0 == framework
-     type    1 == vector
-     type    2 == quaternion
-     type    3 == lists
-  */
-  if(type == 0 || type == -1)
-    {
-      /* framework test*/
-      
-      printf("Generating Objects:\t\t\t\t\t%i\n", ITERATIONS);
-      /* ************WorldEntity class test************** */
-      WorldEntity* w = NULL;
-      int i = 0;
-      unsigned long mittel = 0;
-      
-      for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  WorldEntity* w = new WorldEntity();
-	  
-	  rdtscl(end);
-	  delete w;
-	  mittel += (end - ini - dt);
-	}
-      float mi = mittel / (float)ITERATIONS;
-      printf(" Generate a WorldEntity object:\t\t%11.2f\n", mi);
-      
-      /*
-	mittel = 0;
-	for(i = 0; i < ITERATIONS; ++i)
-	{
-	rdtscl(ini);
-	
-	WorldEntity* w = new Primitive(P_SPHERE);
-	
-	rdtscl(end);
-	delete w;
-	mittel += (end - ini - dt);
-	}
-	mi = mittel / (float)ITERATIONS;
-	printf(" Generate a Primitive  object:\t\t%11.2f\n", mi);
-      */
-
-      mittel = 0;
-      for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  Vector* v = new Vector();
-	  
-	  rdtscl(end);
-	  delete v;
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)ITERATIONS;
-      printf(" Generate a Vector object:\t\t%11.2f\n", mi);
-
-
-     mittel = 0;
-      for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  Quaternion* q = new Quaternion();
-	  
-	  rdtscl(end);
-	  delete q;
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)ITERATIONS;
-      printf(" Generate a Quaternion object:\t\t%11.2f\n", mi);
-
-
-
-
-      printf("\nCalling function inline &| virtual, \t\t\t%i\n", ITERATIONS);
-      mittel = 0;
-      w = new WorldEntity();
-      for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  w->tick(0.0f);
-
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	  }
-      //delete w;
-      mi = mittel / (float)ITERATIONS;
-      printf(" Virt funct tick() of WE: \t\t%11.2f\n", mi);
-
-
-      mittel = 0;
-      WorldEntity wo;
-      for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  wo.tick(0.0f);
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	  }
-      //delete w;
-      mi = mittel / (float)ITERATIONS;
-      printf(" Inl virt funct tick() of WE v2: \t%11.2f\n", mi);
-
-      
-      mittel = 0;
-      BaseObject* bo = new BaseObject();
-      for(i = 0; i < ITERATIONS; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  bo->isFinalized();
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	  }
-      //delete w;
-      mi = mittel / (float)ITERATIONS;
-      printf(" Inl funct BaseObject::isFinazlized(): \t%11.2f\n", mi);
-
-      
-      tList<WorldEntity>* list = new tList<WorldEntity>();
-
-      
-      /* ************Primitvie class test************** */
-      list = new tList<WorldEntity>();
- 
-      
-      /*
-	mittel = 0;
-	w = new Primitive(P_SPHERE);
-	for(i = 0; i < ITERATIONS; ++i)
-	{
-	rdtscl(ini);
-	
-	w->tick(0.0f);
-	
-	rdtscl(end);
-	mittel += (end - ini - dt);
-	}
-	mi = mittel / (float)ITERATIONS;
-	printf(" Call function tick() of Prim:\t\t%11.2f\n", mi);
-      */
-      
-    }
-  
-  if(type == 1 || type == -1)
-    {
-      printf("\nDoing some simple vector operations: \t\t\t%i\n", VECTOR_MAX);
-      /* vector test */
-      Vector* a = new Vector(1.3, 5.3, 4.1);
-      Vector* b = new Vector(0.4, 2.5, 6.2);
-      Vector* c = new Vector();
-      
-      unsigned long mittel, ini, end;
-      float mi;
-      int i = 0;
-      // addition
-      mittel = 0;
-      for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *c = *a + *b;
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)VECTOR_MAX;
-      printf(" Addition of two vectors:\t\t%11.2f\n", mi);
-      
-      // multiplikation
-
-      mittel = 0;
-      for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *c = a->cross( *b);
-	   
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)VECTOR_MAX;
-      printf(" CrossMult of two vectors:\t\t%11.2f\n", mi);
-
-    }
-  if( type == 2 || type == -1)
-    {
-      /* quaternion test */
-      printf("\nDoing some simple quaternion operations: \t\t%i\n", VECTOR_MAX);
-      /* vector test */
-      Quaternion* a = new Quaternion();
-      Quaternion* b = new Quaternion();
-      Quaternion* c = new Quaternion();
-      
-      unsigned long mittel, ini, end;
-      float mi;
-      int i = 0;
-      // quaternion generieren mit spez konstruktor
-      mittel = 0;
-      Vector* qa = new Vector(4.6, 9.3, 0.4);
-      Vector* qb = new Vector(3.5, 6.1, 4.3);
-      for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  Quaternion* qu = new Quaternion(*qa, *qb);
-	  
-	  rdtscl(end);
-	  delete qu;
-	  mittel += (end - ini - dt);
-	}
-      delete a;
-      delete b;
-      mi = mittel / (float)VECTOR_MAX;
-      printf(" Gen. quatern. betw. two vectors:\t%11.2f\n", mi);
-      
-      
-      // multiplication
-      mittel = 0;
-      for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *c = *a * *b;
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)VECTOR_MAX;
-      printf(" Multiplying two quat.(=rot): a * b\t%11.2f\n", mi);
-      
-      
-      
-      // rotating a vector by a quaternion
-      mittel = 0;
-      for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  *qa = a->apply(*qb);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)VECTOR_MAX;
-      printf(" Rot a vec by a quat: q->apply(v)\t%11.2f\n", mi);
-      
-      
-      
-      // generate rotation matrix
-      mittel = 0;
-      float matrix[4][4];
-      for(i = 0; i < VECTOR_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  a->matrix(matrix);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)VECTOR_MAX;
-      printf(" Generate rot matrix: q->matrix(m)\t%11.2f\n", mi);
-    }
-  if( type == 3 || type == -1)
-    {
-      /* list tests*/
-      printf("\nList operations tests: \t\t\t\t\t%i\n", LIST_MAX);
-      tList<char>* list = new tList<char>();
-      char* name;
-      
-      printf(" Adding[1..10] elements to list, found:\n");
-      list->add("1");
-      list->add("2");
-      list->add("3");
-      list->add("4");
-      list->add("5");
-      list->add("6");
-      list->add("7");
-      list->add("8");
-      list->add("9");
-      list->add("10");
-      
-      /*give list out */
-      tIterator<char>* iterator = list->getIterator();
-      name = iterator->nextElement();
-      printf("  List Elements: \t\t");
-      while( name != NULL)
-	{
-	  printf("%s,", name);
-	  name = iterator->nextElement();
-	}
-      delete iterator;
-      printf("\n");
-      
-      
-      /*removing some elements from the list*/
-      printf(" Removing elements [2,3,6,8,10], adding [11] now found:\n");
-      list->remove("2");
-      list->remove("3");
-      list->remove("6");
-      list->remove("8");
-      list->remove("10");
-      list->add("11");
-      /*give list out */
-      iterator = list->getIterator();
-      name = iterator->nextElement();
-      printf("  List Elements: \t\t");
-      while( name != NULL)
-	{
-	  printf("%s,", name);
-	  name = iterator->nextElement();
-	}
-      delete iterator;
-      printf("\n");
-      
-      delete list;
-      printf("\nChecking list performance:\t\t\t\t%i\n", LIST_MAX);
-      
-      tList<int>* plist = new tList<int>();
-      unsigned long mittel, ini, end;
-      float mi;
-      int i = 0;
-      mittel = 0;
-      for(i = 0; i < LIST_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  plist->add(&i);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)LIST_MAX;
-      printf(" Adding reference to list:\t\t%11.2f\n", mi);
-      
-      mittel = 0;
-      for(i = 0; i < LIST_MAX; ++i)
-	{
-	  rdtscl(ini);
-	  
-	  plist->remove(&i);
-	  
-	  rdtscl(end);
-	  mittel += (end - ini - dt);
-	}
-      mi = mittel / (float)LIST_MAX;
-      printf(" Removing 1st reference from list:\t%11.2f\n", mi);
-      
-
-      printf("\nList operations tests: \t\t\t\t\t%i\n", LIST_MAX);
-      list = new tList<char>();
-      printf(" Adding[1..10] elements to list, found:\n");
-      list->add("1");
-      list->add("2");
-      list->add("3");
-      list->add("4");
-      list->add("5");
-      list->add("6");
-      list->add("7");
-      list->add("8");
-      list->add("9");
-      list->add("10");
-      
-      /*give list out */
-      iterator = list->getIterator();
-      name = iterator->nextElement();
-      printf("  List Elements: \t\t");
-      while( name != NULL)
-	{
-	  printf("%s,", name);
-	  name = iterator->nextElement();
-	}
-      delete iterator;
-      printf("\n");
-      
-      
-      int c = 0;
-      printf(" Going trough list with nextElement(el) func: ");
-      name = list->firstElement();
-      while(c < 20)
-	{
-	  printf("%s,", name);
-	  name = list->nextElement(name);
-	  c++;
-	}
-      printf("\n");
-      
-
-      
-    }
-  
-}
-
-#else
-
-int startBenchmarks()
-{
-  PRINTF(1)("Benchmark is not implemented in this system\n");
-}
-
-#endif
+  ResourceManager::deleteFile("~/.orxonox/orxonox.lock");
+  
+}
Index: /orxonox/branches/movie_player/src/orxonox.h
===================================================================
--- /orxonox/branches/movie_player/src/orxonox.h	(revision 4216)
+++ /orxonox/branches/movie_player/src/orxonox.h	(revision 4217)
@@ -39,14 +39,10 @@
   Uint32 lastframe;           //!< Time of the last Frame
   
+  unsigned int argc;          //!< Count of Arguments of orxonox
+  char** argv;                //!< Values of th Arguments of orxonox.
+  
   void getConfigFile (int argc, char** argv);
   
-  // main loop functions
-  //  void synchronize ();
-  //void handle_input ();
-  //void time_slice ();
-  //void collision ();
-  //void display ();
-  
-  	// subsystem initialization
+  // subsystem initialization
   int initVideo ();
   int initSound ();
@@ -75,7 +71,6 @@
 };
 
-int startHelp(void);
+int startHelp(int argc, char** argv);
 int startOrxonox(int argc, char** argv);
-int startBenchmarks(void);
 
 #endif /* _ORXONOX_H */
Index: /orxonox/branches/movie_player/src/story_entities/campaign.cc
===================================================================
--- /orxonox/branches/movie_player/src/story_entities/campaign.cc	(revision 4216)
+++ /orxonox/branches/movie_player/src/story_entities/campaign.cc	(revision 4217)
@@ -41,5 +41,5 @@
   int id;
   
-  PRINTF0("Loading Campaign...\n");
+  PRINTF(3)("Loading Campaign...\n");
   
   assert( root != NULL);
@@ -53,5 +53,5 @@
   if( string == NULL || sscanf(string, "%d", &id) != 1)
     {
-      PRINTF0("Campaign is missing a proper 'identifier'\n");
+      PRINTF(2)("Campaign is missing a proper 'identifier'\n");
       this->setStoryID( -1);
     }
@@ -62,5 +62,5 @@
   if( element == NULL)
     {
-      PRINTF0("Campaign is missing a proper 'WorldList'\n");
+      PRINTF(2)("Campaign is missing a proper 'WorldList'\n");
     }
   else
